import React from 'react';
import PropTypes from 'prop-types';
import { GraphQLList, GraphQLNonNull } from 'graphql';
export default class TypeLink extends React.Component {
    shouldComponentUpdate(nextProps) {
        return this.props.type !== nextProps.type;
    }
    render() {
        return renderType(this.props.type, this.props.onClick);
    }
}
TypeLink.propTypes = {
    type: PropTypes.object,
    onClick: PropTypes.func,
};
function renderType(type, onClick) {
    if (type instanceof GraphQLNonNull) {
        return (React.createElement("span", null,
            renderType(type.ofType, onClick),
            '!'));
    }
    if (type instanceof GraphQLList) {
        return (React.createElement("span", null,
            '[',
            renderType(type.ofType, onClick),
            ']'));
    }
    return (React.createElement("a", { className: "type-name", onClick: event => {
            event.preventDefault();
            onClick(type, event);
        }, href: "#" }, type.name));
}
//# sourceMappingURL=TypeLink.js.map