export class GraphiQL extends React.Component<any, any, any> {
    constructor(props: any);
    _storage: StorageAPI;
    state: {
        schema: any;
        query: any;
        variables: any;
        operationName: any;
        docExplorerOpen: any;
        response: any;
        editorFlex: number;
        variableEditorOpen: any;
        variableEditorHeight: number;
        historyPaneOpen: boolean;
        docExplorerWidth: number;
        isWaitingForResponse: boolean;
        subscription: null;
    };
    _editorQueryID: number;
    componentDidMount(): void;
    codeMirrorSizer: CodeMirrorSizer | undefined;
    UNSAFE_componentWillReceiveProps(nextProps: any): void;
    componentDidUpdate(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
    graphiqlContainer: HTMLDivElement | null | undefined;
    _queryHistory: QueryHistory | null | undefined;
    editorBarComponent: HTMLDivElement | null | undefined;
    queryEditorComponent: QueryEditor | null | undefined;
    variableEditorComponent: VariableEditor | null | undefined;
    resultViewerElement: any;
    resultComponent: ResultViewer | null | undefined;
    docExplorerComponent: DocExplorer | null | undefined;
    getQueryEditor(): any;
    getVariableEditor(): any;
    refresh(): void;
    autoCompleteLeafs(): any;
    _fetchSchema(): void;
    _fetchQuery(query: any, variables: any, operationName: any, cb: any): any;
    handleClickReference: (reference: any) => void;
    handleRunQuery: (selectedOperationName: any) => void;
    handleStopQuery: () => void;
    _runQueryAtCursor(): void;
    handlePrettifyQuery: () => void;
    handleMergeQuery: () => void;
    handleEditQuery: () => void;
    handleCopyQuery: () => any;
    _updateQueryFacts: (query: any, operationName: any, prevOperations: any, schema: any) => {
        variableToType: any;
        operations: any[];
        operationName: any;
    } | undefined;
    handleEditVariables: (value: any) => void;
    handleEditOperationName: (operationName: any) => void;
    handleHintInformationRender: (elem: any) => void;
    handleEditorRunQuery: () => void;
    _onClickHintInformation: (event: any) => void;
    handleToggleDocs: () => void;
    handleToggleHistory: () => void;
    handleSelectHistoryQuery: (query: any, variables: any, operationName: any) => void;
    handleResizeStart: (downEvent: any) => void;
    handleResetResize: () => void;
    _didClickDragBar(event: any): boolean;
    handleDocsResizeStart: (downEvent: any) => void;
    handleDocsResetResize: () => void;
    handleVariableResizeStart: (downEvent: any) => void;
}
export namespace GraphiQL {
    export namespace propTypes {
        export const fetcher: PropTypes.Validator<(...args: any[]) => any>;
        export const schema: PropTypes.Requireable<GraphQLSchema>;
        export const query: PropTypes.Requireable<string>;
        export const variables: PropTypes.Requireable<string>;
        export const operationName: PropTypes.Requireable<string>;
        export const response: PropTypes.Requireable<string>;
        export const storage: PropTypes.Requireable<PropTypes.InferProps<{
            getItem: PropTypes.Requireable<(...args: any[]) => any>;
            setItem: PropTypes.Requireable<(...args: any[]) => any>;
            removeItem: PropTypes.Requireable<(...args: any[]) => any>;
        }>>;
        export const defaultQuery: PropTypes.Requireable<string>;
        export const defaultVariableEditorOpen: PropTypes.Requireable<boolean>;
        export const onCopyQuery: PropTypes.Requireable<(...args: any[]) => any>;
        export const onEditQuery: PropTypes.Requireable<(...args: any[]) => any>;
        export const onEditVariables: PropTypes.Requireable<(...args: any[]) => any>;
        export const onEditOperationName: PropTypes.Requireable<(...args: any[]) => any>;
        export const onToggleDocs: PropTypes.Requireable<(...args: any[]) => any>;
        export const getDefaultFieldNames: PropTypes.Requireable<(...args: any[]) => any>;
        export const editorTheme: PropTypes.Requireable<string>;
        export const onToggleHistory: PropTypes.Requireable<(...args: any[]) => any>;
        export const ResultsTooltip: PropTypes.Requireable<any>;
        export const readOnly: PropTypes.Requireable<boolean>;
        export const docExplorerOpen: PropTypes.Requireable<boolean>;
    }
    export namespace Logo {
        export const displayName: string;
    }
    export namespace Toolbar {
        const displayName_1: string;
        export { displayName_1 as displayName };
    }
    export { QueryEditor };
    export { VariableEditor };
    export { ResultViewer };
    export { ToolbarButton as Button };
    export { ToolbarButton };
    export { ToolbarGroup as Group };
    export { ToolbarMenu as Menu };
    export { ToolbarMenuItem as MenuItem };
    export { ToolbarSelect as Select };
    export { ToolbarSelectOption as SelectOption };
    export namespace Footer {
        const displayName_2: string;
        export { displayName_2 as displayName };
    }
}
import React from "react";
import StorageAPI from "../utility/StorageAPI";
import CodeMirrorSizer from "../utility/CodeMirrorSizer";
import { QueryHistory } from "./QueryHistory";
import { QueryEditor } from "./QueryEditor";
import { VariableEditor } from "./VariableEditor";
import { ResultViewer } from "./ResultViewer";
import { DocExplorer } from "./DocExplorer";
import PropTypes from "prop-types";
import { GraphQLSchema } from "graphql";
import { ToolbarButton } from "./ToolbarButton";
import { ToolbarGroup } from "./ToolbarGroup";
import { ToolbarMenu } from "./ToolbarMenu";
import { ToolbarMenuItem } from "./ToolbarMenu";
import { ToolbarSelect } from "./ToolbarSelect";
import { ToolbarSelectOption } from "./ToolbarSelect";
//# sourceMappingURL=GraphiQL.d.ts.map