import { jsx } from 'theme-ui';
import PropTypes from 'prop-types';
import { Children } from 'react';
const Divider = ({ innerSx }) => (jsx("div", { "data-is-divider": true, "aria-hidden": true, sx: {
        ...innerSx,
        background: ({ colors }) => colors.border,
        width: '1px',
    } }));
Divider.propTypes = { innerSx: PropTypes.object };
const WithDividers = ({ children, padding = false, ...props }) => {
    return (jsx("ul", Object.assign({ "data-contains-divider": true }, props, { sx: {
            display: 'flex',
            alignItems: 'stretch',
            '[data-contains-divider] [data-is-divider]': {
                display: 'none',
            },
        } }), Children.map(children, (child, index) => {
        const isFirst = index === 0;
        return (jsx("li", { sx: {
                position: 'relative',
                display: 'grid',
                marginLeft: padding && !isFirst
                    ? ({ spaces }) => spaces.rowPadding * 2
                    : undefined,
            } },
            !isFirst && (jsx(Divider, { innerSx: {
                    position: 'absolute',
                    top: ({ space }) => space[2],
                    bottom: ({ space }) => space[2],
                    left: padding && !isFirst
                        ? ({ spaces }) => spaces.rowPadding * -1
                        : 0,
                } })),
            child));
    })));
};
WithDividers.propTypes = { padding: PropTypes.bool };
export default WithDividers;
//# sourceMappingURL=WithDividers.js.map